libzypp 17.37.10

zyppng::rpc Namespace Reference

## Functions
template<typename T>
expected< zypp::PluginFrame > | toStompMessage (const T &msg)
template<typename T>
expected< T > | fromStompMessage (const zypp::PluginFrame &message)
template<typename T>
void | parseDataIntoField (const std::string &headerVal, T &target)
template<typename T>
void | parseHeaderIntoField (const zypp::PluginFrame &msg, const std::string &name, T &target)
template<typename T>
zypp::PluginFrame | prepareFrame ()

## Function Documentation

## ◆ toStompMessage()

template<typename T>

expected< zypp::PluginFrame > zyppng::rpc::toStompMessage | ( | const T & | msg | ) |

Definition at line 44 of file stompframestream.h.

## ◆ fromStompMessage()

template<typename T>

expected< T > zyppng::rpc::fromStompMessage | ( | const zypp::PluginFrame & | message | ) |

Definition at line 49 of file stompframestream.h.

## ◆ parseDataIntoField()

template<typename T>

void zyppng::rpc::parseDataIntoField | ( | const std::string & | headerVal,
|  | T & | target )

Definition at line 56 of file stompframestream.h.

## ◆ parseHeaderIntoField()

template<typename T>

void zyppng::rpc::parseHeaderIntoField | ( | const zypp::PluginFrame & | msg,
|  | const std::string & | name,
|  | T & | target )

Definition at line 77 of file stompframestream.h.

## ◆ prepareFrame()

template<typename T>

zypp::PluginFrame zyppng::rpc::prepareFrame | ( |  | ) |
| inline

Definition at line 83 of file stompframestream.h.